LFR-FSW - Bug #171

TM_LFR_PARAMETER_DUMP et TM_LFR_HK est recue avec CONTINUATION_PACKET a 0
16/06/2014 02:56 PM - bruno katra

Status: Closed Start date: 16/06/2014
Priority: Immediate Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

D'apres SSS-CP-EQS-415 : le segmentation grouping flag doit toujours étre placé a 3 (standalone).
Ce n'est pas le cas pour TM_LFR_PARAMETER_DUMP et TM_LFR_HK

14:29:47.876692, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP =9,
(PACKET_ID=0xcc9), SEGMENTATION_GROUPING_FLAG: /NCONTINUATION_PACKET = 0,

14:29:47.325072, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4,
(PACKET_ID=0xcc4), SEGMENTATION_GROUPING_FLAG: /NCONTINUATION_PACKET =0,

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16

Brique Star-Dundee S/N 46120065

Soft:1.0.0.9b (variante sur carte finale)

TEST CASE = SVS-0065
Req = SSS-CP-EQS-415

RPW-SYS-IDB-00067-LES_Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue3_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2

History

#1 - 16/06/2014 02:59 PM - bruno katra

- Subject changed from TM_LFR_PARAMETER_DUMP est regue avec CONTINUATION_PACKET a 0 to TM_LFR_PARAMETER_DUMP et
TM_LFR_HK est regue avec CONTINUATION_PACKET a 0

- Description updated

#2 - 17/06/2014 07:34 AM - paul leroy
- Status changed from New to Resolved
fsw >=1.0.0.10

bug identifié et corrigé
vérification faite pour TM_LFR HK et TM_LFR_FUMP_PARAMETER: les bits SEGMENTATION_GROUPING_FLOAG sont bien positionnés

#3 - 17/06/2014 07:46 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

#4 - 17/06/2014 12:28 PM - Veronique bouzid
- Status changed from Resolved to Feedback

- Assignee changed from bruno katra to paul leroy
test rejoué sur la version 1.0.0.10.
Le fichier 2014_06_17-11_32_21-Detail.txt contient le test SVS-0019.

Bug corrigé pour TM_LFR_HK

11:00:13.445752, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0,

Bug tjs présent sur TM_LFR_PARAMETER_DUMP,

11:02:11.284797, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 9, (PACKET_ID=0xcc9),
SEGMENTATION_GROUPING_FLAG: /N\CONTINUATION_PACKET = 0, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0x0),
PACKET_LENGTH=29

#5 - 17/06/2014 01:25 PM - paul leroy
- Status changed from Feedback to Resolved

- Assignee changed from paul leroy to Veronique bouzid
fsw >= 1.0.0.11, bug identifié et corrigé. Vérification effectuée avec un enregistrement en CSV des réponses a des TC_LFR_DUMP_PAR.
Je n'avais vérifié les sequence_cnt que pour TM_LFR_HK, mea maxima culpa, je n'avais pas fait la correction pour TM_LFR_PARAMETER_DUMP...

#6 - 17/06/2014 06:09 PM - Veronique bouzid

- Status changed from Resolved to Closed

Test rejoué en 1.0.0.11
Version VHDL mise a jour 0.1.23 (TBC)

Bug corrigé

17:05:38.592278, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 9, (PACKET_ID=0xcc9),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),
PACKET_LENGTH=29, SPARE_1=0
